## pam-geoip 1.1

=== Makefile ===

POD2MAN=pod2man -u -c ' ' -r ' '
MANPAGES=geoip.conf.5 pam_geoip.8
MAN_5_POD=geoip.conf.5.pod
MAN_8_POD=pam_geoip.8.pod

C_FILES=pam_geoip.c parse.c args.c check.c
HEADER=pam_geoip.h
OBJECTS=pam_geoip.o parse.o args.o check.o
MODULE=pam_geoip.so
LDFLAGS=-lpam -lGeoIP -lm -shared
CCFLAGS=-Wall
PAM_LIB_DIR=$(DESTDIR)/lib/security
INSTALL=/usr/bin/install

all: config.h pam_geoip.so doc

doc: $(MANPAGES_POD) $(MANPAGES) 

%.5: $(MAN_5_POD)
	$(POD2MAN) -u -s 5 -n $(shell basename $@ .5) $@.pod > $@

%.8: $(MAN_8_POD)
	$(POD2MAN) -u -s 8 -n $(shell basename $@ .8) $@.pod > $@

$(OBJECTS): $(C_FILES)
	$(CC) $(CCFLAGS) -fPIC -c $*.c

pam_geoip.so: $(OBJECTS)
	$(CC) $(CCFLAGS) $(LDFLAGS) -o $@ $(OBJECTS)

config.h:
	sh make_config_h.sh

clean:
	rm -f $(MANPAGES)
	rm -f config.h
	rm -f $(OBJECTS) $(MODULE) core *~

install: $(MODULE)
	$(INSTALL) -m 0755 -d $(PAM_LIB_DIR)
	$(INSTALL) -m 0644 $(MODULE) $(PAM_LIB_DIR)

### dev targets:
update:
	svn update
# END

=== debian/changelog ===
pam-geoip (1.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Remove deprecated hardening-wrapper.
  * Suggest geoip-database-extra main package from now on.
  * Update to DEP5 debian/copyright format.
  * Overwrite lintian warning debian-watch-may-check-gpg-signature. There is no
    signature available.
  * Overwrite false positive hardening-no-relro lintian warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Jul 2015 20:24:12 +0200

pam-geoip (1.1-1) unstable; urgency=low

  * New upstream release.
    - Refresh patch 01-multiarch-libdir.
    - Remove unused lintian override no-upstream-changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Feb 2013 10:14:34 +0100

pam-geoip (1.0-1) unstable; urgency=low

  * Initial release.
    Closes: #696739

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 26 Dec 2012 17:40:29 +0100

=== debian/control ===
Source: pam-geoip
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
 libpam0g-dev,
 libgeoip-dev
Homepage: http://ankh-morp.org/code/pam_geoip/

Package: libpam-geoip
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: geoip-database-extra
Description: PAM module checking access of source IPs with a GeoIP database
 This PAM module provides GeoIP checking for logins. The user can be
 allowed or denied based on the location of the originating IP address.
 This is similar to pam_access, but uses a GeoIP City database instead
 of host name / IP matching.

=== debian/rules ===
#!/usr/bin/make -f

export MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/libpam-geoip/etc/security/geoip.default.conf \
		$(CURDIR)/debian/libpam-geoip/etc/security/geoip.conf

=== debian/watch ===
version=3
http://download.ankh-morp.org/pam_geoip/pam_geoip-([\d.]+)\.tar\.gz

## pam-geoip 2.1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 POD2MAN=pod2man -u -c ' ' -r ' '
 MANPAGES=geoip.conf.5 pam_geoip.8
 MAN_5_POD=geoip.conf.5.pod
@@ -8,13 +7,12 @@
 HEADER=pam_geoip.h
 OBJECTS=pam_geoip.o parse.o args.o check.o
 MODULE=pam_geoip.so
-LDFLAGS=-lpam -lGeoIP -lm -shared
+LDFLAGS=-lpam -lmaxminddb -lm -shared
 CCFLAGS=-Wall
-PAM_LIB_DIR=$(DESTDIR)/lib/security
+PAM_LIB_DIR=$(DESTDIR)/lib/$(MULTIARCH)/security
 INSTALL=/usr/bin/install
 
-all: config.h pam_geoip.so doc
-
+all: pam_geoip.so doc
 doc: $(MANPAGES_POD) $(MANPAGES) 
 
 %.5: $(MAN_5_POD)
@@ -29,12 +27,8 @@
 pam_geoip.so: $(OBJECTS)
 	$(CC) $(CCFLAGS) $(LDFLAGS) -o $@ $(OBJECTS)
 
-config.h:
-	sh make_config_h.sh
-
 clean:
 	rm -f $(MANPAGES)
-	rm -f config.h
 	rm -f $(OBJECTS) $(MODULE) core *~
 
 install: $(MODULE)

=== debian/changelog ===
pam-geoip (2.1.1-8) unstable; urgency=medium

  * Add patch from Michael Biebl to install PAM module into /usr.
    Closes: #1061698

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 05 Feb 2024 10:54:16 +0100

pam-geoip (2.1.1-7) unstable; urgency=medium

  * Remove leftover file in dh_clean.
    Closes: #1048147

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 22 Aug 2023 16:34:22 +0200

pam-geoip (2.1.1-6) unstable; urgency=medium

  * Adjust debian/watch to work again with GitHub.
  * Bump Standards-Version to 4.6.2.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Jan 2023 11:08:41 +0100

pam-geoip (2.1.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Adjust renamed lintian tag name in override.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:52 +0200

pam-geoip (2.1.1-4) unstable; urgency=medium

  * debian/watch: Adjust github URL.
  * Bump Standards-Version to 4.6.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Oct 2021 09:43:56 +0200

pam-geoip (2.1.1-3) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:59:36 +0100

pam-geoip (2.1.1-2) unstable; urgency=high

  * Suggest geoipupdate package.
    Closes: #966490
  * Readd and rewrite patch 01-missing-ldflags.
    Closes: #966486

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 30 Jul 2020 11:05:24 +0200

pam-geoip (2.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Switch to a fork using MaxMind GeoIP2 databases.
      Closes: #953577
    - Rework packaging.
  * Bump debhelper-compat to version 13.
  * Remove all (merged) patches.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jul 2020 16:41:41 +0200

pam-geoip (1.1-6) unstable; urgency=high

  * Add patch 03-missing-ldflags from Joerg Dorchain to fix an issue with newer
    GCC versions.
    Closes: #950302

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Feb 2020 10:12:14 +0100

pam-geoip (1.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
    - Override dh_auto_build to workaround a FTBFS with compat level 12.
  * Move lintian-overrides file to source directory.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.
  * Fix renamed lintian tag.
  * Also add patch 02-manpage-section-5 to move pam_geoip manpage from section
    8 to 5.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:33:11 +0100

pam-geoip (1.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Adjust lintian overrides.
  * Do not build dbgsym packages. There are no debug symbols available.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 21 Jul 2017 14:28:57 +0200

pam-geoip (1.1-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes required).
  * Enable full hardening.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 04 May 2016 21:42:47 +0200

=== debian/rules ===
#!/usr/bin/make -f

export MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
https://github.com/amishmm/pam_geoip/tags .*/v(\d\S+)\.tar\.gz
